Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultGriffonViewClass

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractGriffonClass
          org.codehaus.griffon.runtime.core.DefaultGriffonClass
              org.codehaus.griffon.runtime.core.DefaultGriffonViewClass

All Implemented Interfaces:
  GriffonViewClass

    public class DefaultGriffonViewClass
    extends DefaultGriffonClass

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary

Fields inherited from class AbstractGriffonClass
app, classPropertyFetcher, clazz, eventsCache, fullName, log, logicalPropertyName, name, naturalName, packageName, propertyName, shortName, type

Constructor Summary
`DefaultGriffonViewClass(GriffonApplication app, Class clazz)`

Method Summary

Methods inherited from class AbstractGriffonClass
equals, getApp, getArtifactType, getClazz, getEventNames, getFullName, getGroovyProperty, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPropertiesWithFields, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, hashCode, isClosureMetaProperty, isReadableProperty, newInstance, resetCaches, returnOnlyIfInstanceOf, setMetaClass, toString, updateMetaClass

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DefaultGriffonViewClass

    public DefaultGriffonViewClass(GriffonApplication app, Class clazz)

Groovy Documentation